Bug 183504 - [Web Animations] Implement CSS Animations and CSS Transitions as Web Animations
Summary: [Web Animations] Implement CSS Animations and CSS Transitions as Web Animations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
: 183552 183553 183554 183555 183556 183557 183558 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-03-09 00:11 PST by Antoine Quint
Modified: 2018-03-12 06:04 PDT (History)
8 users (show)

See Also:


Attachments
Patch (295.37 KB, patch)
2018-03-09 02:39 PST, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-sierra (2.35 MB, application/zip)
2018-03-09 03:43 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.75 MB, application/zip)
2018-03-09 03:48 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews114 for mac-sierra (3.10 MB, application/zip)
2018-03-09 04:10 PST, EWS Watchlist
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.23 MB, application/zip)
2018-03-09 04:13 PST, EWS Watchlist
no flags Details
Patch (131.41 KB, patch)
2018-03-11 18:06 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (131.46 KB, patch)
2018-03-11 18:16 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.52 MB, application/zip)
2018-03-11 19:01 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.66 MB, application/zip)
2018-03-11 19:26 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews113 for mac-sierra (2.96 MB, application/zip)
2018-03-11 20:01 PDT, EWS Watchlist
no flags Details
Patch (133.14 KB, patch)
2018-03-11 20:18 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.61 MB, application/zip)
2018-03-11 21:18 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews102 for mac-sierra (2.25 MB, application/zip)
2018-03-11 21:23 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.27 MB, application/zip)
2018-03-11 21:36 PDT, EWS Watchlist
no flags Details
Archive of layout-test-results from ews117 for mac-sierra (3.04 MB, application/zip)
2018-03-11 21:46 PDT, EWS Watchlist
no flags Details
Patch (132.78 KB, patch)
2018-03-12 00:59 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (132.82 KB, patch)
2018-03-12 02:12 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.02 MB, application/zip)
2018-03-12 04:18 PDT, EWS Watchlist
no flags Details
Patch (135.57 KB, patch)
2018-03-12 04:45 PDT, Antoine Quint
graouts: review?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2018-03-09 00:11:56 PST
[Web Animations] Implement CSS Animations and CSS Transitions over Web Animations
Comment 1 Antoine Quint 2018-03-09 02:39:24 PST
Created attachment 335407 [details]
Patch
Comment 2 EWS Watchlist 2018-03-09 02:42:32 PST
Attachment 335407 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:521:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:559:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 40 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 EWS Watchlist 2018-03-09 03:43:14 PST
Comment on attachment 335407 [details]
Patch

Attachment 335407 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6874873

New failing tests:
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/addition-per-property.html
imported/w3c/web-platform-tests/css-timing-1/step-timing-functions-output.html
webanimations/animation-opacity-animation-crash.html
imported/w3c/web-platform-tests/css-timing-1/frames-timing-functions-output.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/interpolation-per-property.html
webanimations/opacity-animation-yields-compositing.html
imported/w3c/web-platform-tests/css-timing-1/cubic-bezier-timing-functions-output.html
imported/w3c/web-platform-tests/css/css-multicol/multicol-gap-animation-001.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/accumulation-per-property.html
Comment 4 EWS Watchlist 2018-03-09 03:43:15 PST
Created attachment 335414 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 5 EWS Watchlist 2018-03-09 03:48:19 PST
Comment on attachment 335407 [details]
Patch

Attachment 335407 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6874897

New failing tests:
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/addition-per-property.html
imported/w3c/web-platform-tests/css-timing-1/step-timing-functions-output.html
imported/w3c/web-platform-tests/css/css-multicol/multicol-gap-animation-001.html
imported/w3c/web-platform-tests/css-timing-1/frames-timing-functions-output.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/interpolation-per-property.html
webanimations/opacity-animation-yields-compositing.html
imported/w3c/web-platform-tests/css-timing-1/cubic-bezier-timing-functions-output.html
webanimations/animation-opacity-animation-crash.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/accumulation-per-property.html
Comment 6 EWS Watchlist 2018-03-09 03:48:20 PST
Created attachment 335415 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 7 EWS Watchlist 2018-03-09 04:10:26 PST
Comment on attachment 335407 [details]
Patch

Attachment 335407 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6874933

New failing tests:
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/addition-per-property.html
imported/w3c/web-platform-tests/css-timing-1/step-timing-functions-output.html
imported/w3c/web-platform-tests/css/css-multicol/multicol-gap-animation-001.html
imported/w3c/web-platform-tests/css-timing-1/frames-timing-functions-output.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/interpolation-per-property.html
webanimations/opacity-animation-yields-compositing.html
imported/w3c/web-platform-tests/css-timing-1/cubic-bezier-timing-functions-output.html
imported/w3c/web-platform-tests/web-animations/animation-model/animation-types/accumulation-per-property.html
Comment 8 EWS Watchlist 2018-03-09 04:10:27 PST
Created attachment 335417 [details]
Archive of layout-test-results from ews114 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews114  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 9 EWS Watchlist 2018-03-09 04:13:26 PST
Comment on attachment 335407 [details]
Patch

Attachment 335407 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6874966

New failing tests:
imported/w3c/web-platform-tests/css-timing-1/step-timing-functions-output.html
webanimations/animation-opacity-animation-crash.html
imported/w3c/web-platform-tests/css-timing-1/frames-timing-functions-output.html
webanimations/opacity-animation-yields-compositing.html
imported/w3c/web-platform-tests/css-timing-1/cubic-bezier-timing-functions-output.html
imported/w3c/web-platform-tests/css/css-multicol/multicol-gap-animation-001.html
Comment 10 EWS Watchlist 2018-03-09 04:13:27 PST
Created attachment 335418 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 11 Antoine Quint 2018-03-11 18:06:45 PDT
Created attachment 335558 [details]
Patch
Comment 12 EWS Watchlist 2018-03-11 18:09:21 PDT
Attachment 335558 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:518:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:556:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 45 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Antoine Quint 2018-03-11 18:16:17 PDT
Created attachment 335559 [details]
Patch
Comment 14 EWS Watchlist 2018-03-11 18:18:56 PDT
Attachment 335559 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:518:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:556:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 45 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 15 EWS Watchlist 2018-03-11 19:01:08 PDT
Comment on attachment 335559 [details]
Patch

Attachment 335559 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6907849

New failing tests:
imported/w3c/web-platform-tests/web-animations/interfaces/Animatable/animate.html
webanimations/css-animations.html
Comment 16 EWS Watchlist 2018-03-11 19:01:09 PDT
Created attachment 335560 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 17 EWS Watchlist 2018-03-11 19:26:48 PDT
Comment on attachment 335559 [details]
Patch

Attachment 335559 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6907954

New failing tests:
imported/w3c/web-platform-tests/web-animations/interfaces/Animatable/animate.html
webanimations/css-animations.html
Comment 18 EWS Watchlist 2018-03-11 19:26:50 PDT
Created attachment 335563 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 19 EWS Watchlist 2018-03-11 20:01:39 PDT
Comment on attachment 335559 [details]
Patch

Attachment 335559 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6907961

New failing tests:
imported/w3c/web-platform-tests/web-animations/interfaces/Animatable/animate.html
webanimations/css-animations.html
Comment 20 EWS Watchlist 2018-03-11 20:01:40 PDT
Created attachment 335570 [details]
Archive of layout-test-results from ews113 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 21 Antoine Quint 2018-03-11 20:18:19 PDT
Created attachment 335573 [details]
Patch
Comment 22 Antoine Quint 2018-03-11 20:20:38 PDT
This is a large patch, for reviewing please see webkit.org/b/183552, webkit.org/b/183553, webkit.org/b/183554, webkit.org/b/183555, webkit.org/b/183556, webkit.org/b/183557 and webkit.org/b/183558.
Comment 23 EWS Watchlist 2018-03-11 20:20:45 PDT
Attachment 335573 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:518:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:556:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 46 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 24 EWS Watchlist 2018-03-11 21:18:10 PDT
Comment on attachment 335573 [details]
Patch

Attachment 335573 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6910004

New failing tests:
webanimations/css-animations.html
Comment 25 EWS Watchlist 2018-03-11 21:18:11 PDT
Created attachment 335578 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 26 EWS Watchlist 2018-03-11 21:23:13 PDT
Comment on attachment 335573 [details]
Patch

Attachment 335573 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6910075

New failing tests:
webanimations/css-animations.html
Comment 27 EWS Watchlist 2018-03-11 21:23:15 PDT
Created attachment 335579 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 28 EWS Watchlist 2018-03-11 21:36:58 PDT
Comment on attachment 335573 [details]
Patch

Attachment 335573 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6910016

New failing tests:
webanimations/css-animations.html
Comment 29 EWS Watchlist 2018-03-11 21:36:59 PDT
Created attachment 335580 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 30 EWS Watchlist 2018-03-11 21:46:24 PDT
Comment on attachment 335573 [details]
Patch

Attachment 335573 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6909992

New failing tests:
webanimations/css-animations.html
Comment 31 EWS Watchlist 2018-03-11 21:46:25 PDT
Created attachment 335581 [details]
Archive of layout-test-results from ews117 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 32 Antoine Quint 2018-03-12 00:59:00 PDT
Created attachment 335584 [details]
Patch
Comment 33 Antoine Quint 2018-03-12 02:12:12 PDT
Created attachment 335585 [details]
Patch
Comment 34 EWS Watchlist 2018-03-12 02:14:29 PDT
Attachment 335585 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:518:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:556:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 46 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 35 EWS Watchlist 2018-03-12 04:18:38 PDT
Comment on attachment 335585 [details]
Patch

Attachment 335585 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/6913220

New failing tests:
webanimations/css-animations.html
webanimations/css-transitions.html
Comment 36 EWS Watchlist 2018-03-12 04:18:49 PDT
Created attachment 335586 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 37 Antoine Quint 2018-03-12 04:45:43 PDT
Created attachment 335589 [details]
Patch
Comment 38 EWS Watchlist 2018-03-12 04:48:38 PDT
Attachment 335589 [details] did not pass style-queue:


ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:518:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
ERROR: Source/WebCore/animation/KeyframeEffectReadOnly.cpp:556:  Should have only a single space after a punctuation in a comment.  [whitespace/comments] [5]
Total errors found: 2 in 49 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 39 Antoine Quint 2018-03-12 05:55:18 PDT
<rdar://problem/38372965>
Comment 40 Antoine Quint 2018-03-12 05:56:22 PDT
Committed r229530: <https://trac.webkit.org/changeset/229530>
Comment 41 Antoine Quint 2018-03-12 06:02:49 PDT
*** Bug 183558 has been marked as a duplicate of this bug. ***
Comment 42 Antoine Quint 2018-03-12 06:02:55 PDT
*** Bug 183557 has been marked as a duplicate of this bug. ***
Comment 43 Antoine Quint 2018-03-12 06:03:19 PDT
*** Bug 183556 has been marked as a duplicate of this bug. ***
Comment 44 Antoine Quint 2018-03-12 06:03:50 PDT
*** Bug 183555 has been marked as a duplicate of this bug. ***
Comment 45 Antoine Quint 2018-03-12 06:03:55 PDT
*** Bug 183554 has been marked as a duplicate of this bug. ***
Comment 46 Antoine Quint 2018-03-12 06:04:01 PDT
*** Bug 183553 has been marked as a duplicate of this bug. ***
Comment 47 Antoine Quint 2018-03-12 06:04:07 PDT
*** Bug 183552 has been marked as a duplicate of this bug. ***